> ## Documentation Index
> Fetch the complete documentation index at: https://docs.undrctrl.id/llms.txt
> Use this file to discover all available pages before exploring further.

# List Services

> Retrieve a list of services for the authenticated user.



## OpenAPI

````yaml api-services POST /api/v2/
openapi: 3.0.0
info:
  title: UNDRCTRL API
  description: List of all available APIs that can be consumed
  version: 1.0.0
servers:
  - url: https://undrctrl.id
    description: Production server
security: []
paths:
  /api/v2/:
    post:
      summary: Retrieve Service Information
      description: Retrieve a list of services for the authenticated user.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                  description: The `API key` to fetch the service details
                  example: apiKey
                action:
                  type: string
                  description: Action to be performed, set to `services`
                  example: services
              required:
                - key
                - action
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    service:
                      type: integer
                      example: 1
                    name:
                      type: string
                      example: Followers
                    type:
                      type: string
                      example: Default
                    category:
                      type: string
                      example: First Category
                    rate:
                      type: string
                      example: 0.9
                    min:
                      type: string
                      example: 50
                    max:
                      type: string
                      example: 10000
                    refill:
                      type: boolean
                      example: true
                    cancel:
                      type: boolean
                      example: true
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Incorrect request

````